
Core - Bug # 55755

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Rejected Priority: Should have
Author: Helge Funk Category:
Created: 2014-02-07 Assigned To:
Updated: 2015-05-19 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus: On Location Sprint
Subject: Legacy packages with dependencies to other composer packages coudn't be installed
Description

It’s not possible to install a composer ready legacy package with dependencies to other composer packages stored in the „Packages“
folder. The Packages will be scanned and added to the PackageStates.php, but the state remains on „inactive“. 
There is no possibility to activate those packages like in Flow.

Steps to reproduce: Try to install a composer ready extension with dependencies to other not TYPO3 related packages

A workaround for now is to assume that composer packages are activated by default.

History
#1 - 2014-02-07 11:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27404

#2 - 2014-02-07 12:00 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27404

#3 - 2014-02-12 09:53 - Ernesto Baschny
- Parent task set to #47018

#4 - 2014-04-03 16:22 - Jacob Rasmussen

It would be nice to get composer packages loaded - either through the suggested patch or by using the composer autoloader

#5 - 2015-04-27 15:17 - Nicole Cordes
- Target version changed from 6.2.0 to 7.3 (Packages)
- Sprint Focus set to On Location Sprint

#6 - 2015-05-19 17:08 - Benjamin Mack
- Status changed from Under Review to Rejected

fixed differently now. but for 6.2 this won't go in. sorry guys. if you have any feedback, feel free to send me an email.

2015-08-04 2/2


